exception.hpp

# exception.hpp #

# `toml::exception` #

Base class for exception types defined in toml11.

    namespace toml
    {
    struct exception : public std::exception
    {
      public:
        virtual ~exception() noexcept override = default;
        virtual const char* what() const noexcept override {return "";}
    };
    } // toml

## Member Functions #

### Destructor #

    virtual ~exception() noexcept override = default;

Override when derived.

### `what` #

    virtual const char* what() const noexcept override {return "";}

Returns the error message. Override when derived.